function out = set(P,varargin)
% out = set(P,varargin) sets properites of the InputOutputModel class. This
% function effectively calls the set function associated with the control
% system toolbox. This function was created because using set(P,...) on PSS
% objects returned an error with LPVToolsV1.0.
% 
% RV created this function on 02/24/2016. See below.
% 
% Author: Raghu Venkataraman
% Date created: February 24, 2016
% Date modified: January 09, 2017

if nargin == 1
    out = P;
else
    Data = P.Data; % extract SS Data
    Domain = P.Domain; % extract Domain
    set(Data,varargin{:}); % use well-defined set function for SS objects
    out = pss(Data,Domain); % out inherits properties of Data
end
