function out = normL2(P)
%NORML2 computes the Hinf norm for SS and L2 form for PSS objects
% Author: Raghu Venkataraman
% Date created: February 25, 2016
% Date modified: February 25, 2016

if isa(P,'ss') || isa(P,'tf') || isa(P,'zpk')
    out = norm(P,'inf');
elseif isa(P,'pss') || isa(P,'plftss') || isa(P,'upss')
    out = lpvnorm(P,'L2');
else
    warning(['Unknown input class: ',class(P),'.']);
end
end
