function [F,Fexp,copt,Mmopt,Plyapopt] = ...
    robsyn_FFLPV_lmilab_matElim(Pt,PSIICT,R,MULT,nw,nv,nu)
%%robsyn_FFLPV_lmilab_matElim synthesizes a robust feedforward controller.
% Input arguments:
% (1) Pt is the plant.
% (2) PSIICT are the IQC filters.
% (3) R is part of the IQC filters. See Jonsson_99TAC.
% (4) MULT is a string specifying the multiplier.
% (5) nw is number of uncertain inputs of Pt.
% (6) nv is the number of uncertain outputs of Pt.
% (7) nu is the number of measurements sent to the estimator.
% Output arguments:
% (1) F is the synthesized estimator.
% (2) copt is the L2-L2 norm of lft(DELTA,G).
% (3) Mmopt is the IQC multiplier in the time domain.
% (4) Plyapopt is the Lyapunov function matrix.

%% Calling robfiltLPVsyn_lmilab_matElim.m to synthesize the filter
ny = nu;
[F,Fexp,copt,Mmopt,Plyapopt] = ...
    robfiltLPVsyn_lmilab_matElim(Pt,PSIICT,nw,nv,ny,'ff',MULT);

end
